/* General CSS */
html{
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  text-decoration: none;
  background-color: #f6f5f5;
}

span {
  color: #dc2f02;
  font-size: 60px;
}

section {
  background-color: white;
  display: block;
  box-shadow: 2px 2px 14px;
  text-align: left;
  padding: 7% 6% 5% 7%;
  margin: 4%;
  border-radius: 25px;
}

.main-content {
  margin-left: 25%;
}

.section-title h2 {
  color: #0f4c5c;
  font-family: 'Poppins', sans-serif;
  font-weight: bolder;
  font-size: 4.6vh;
}

.section-title hr {
  width: 7%;
  margin-left: 0;
  border-top: 8px solid;
  border-radius: 8px;
  color: #dc2f02;
}

.sub-heading {
  margin: 5% 0 1% 0;
}

.sub-heading p {
  font-size: 2.3vh;
}

.sub-heading h3 {
  font-family: 'Poppins', sans-serif;
  color: #0f4c5c;
  font-size: 3.6vh;
}

/* Sidebar Section*/
.sidebar {
  margin: 0 3% 2% 3%;
  border-radius: 25px;
  color: white;
  width: 23%;
  background-color: #0f4c5c;
  position: fixed;
  padding-top: 1.8%;
  padding-left: 3.8%;
}

.nav img {
  width: 55%;
}

.nav-item i {
  margin-right: 20px;
}

.nav-item a {
  color: white;
  line-height: 2;
  font-size: 2.2vh;
  font-family: 'Montserrat', sans-serif;
}

.nav-item a:hover {
  padding-left: 8px;
  color: #e36414;
  text-decoration: none;
}

/* Introduction Section */
.home {
  text-align: center;
  background-color: #83c5be;
  padding: 7%;
}

.intro img {
  width: 25%;
  height: 30%;
  border-radius: 48%;
  margin: 7% auto 1.5% auto;
  border: 8px solid #bee3db;
}

.intro strong {
  color: #0f4c5c;
  font-size: 6.5vh;
  font-family: 'Poppins', sans-serif;
}

.intro p {
  font-size: 4vh;
  color: #0f4c5c;
  font-family: 'Montserrat', sans-serif;
}

.social-icon i {
  color: #0f4c5c;
  margin-left: 25px;
  width: 5%;
}

.social-icon i:hover {
  -webkit-transform: scale(1.4);
  transform: scale(1.4);
}

/* About Section */
.about-content {
  padding: 4% 0;
  display: flex;
}

.about-image {
  -ms-flex: 0 0 25%;
  flex: 0 0 25%;
  max-width: 25%;
  margin-right: 1.4%;
}

.about-image img {
  width: 87%;
}

.about-content span {
  color: black;
  font-size: 4vh;
  font-weight: bolder;
  font-family: 'Poppins', sans-serif;
}

.about-content p {
  line-height: 1.6;
  letter-spacing: normal;
  color: #6c757d;
  font-size: 2.4vh;
  font-family: 'Poppins', sans-serif;
  font-weight: normal;
}

.about-intro button {
  border-radius: 20px;
  padding: 1.2% 3%;
  color: white;
  margin-top: 2%;
  font-family: 'Montserrat', sans-serif;
}

.download {
  background-color: #dc2f02;
}

.hire {
  background-color: #0f4c5c;
  margin-left: 2%;
}

.about-intro i {
  margin-right: 14px;
}

/* Skills Section */
.skill-desc {
  margin-top: 5%;
}

.skill-desc p {
  line-height: 1.6;
  letter-spacing: normal;
  color: #6c757d;
  font-size: 2.4vh;
  font-family: 'Poppins', sans-serif;
}

.expertise-section {
  display: flex;
  text-align: center;
  padding: 3% 0 2% 0;
}

.expertise-item {
  -ms-flex: 0 0 31%;
  flex: 0 0 31%;
  max-width: 31%;
  background-color: #f0f0f0;
  padding: 4% 3% 2% 3%;
  margin-right: 3%;
  border-radius: 12px;
}

.expertise-item:hover {
  border: 1px solid #dee2e6;
  background-color: white;
  box-shadow: 1px 2px 10px grey;
}

.expertise-item h3 {
  font-family: 'Poppins', sans-serif;
  color: #0f4c5c;
  font-size: 3.2vh;
}

.expertise-item i {
  color: #ff3636;
  margin-bottom: 7%;
}

.expertise-item p {
  color: #495057;
  font-family: 'Poppins', sans-serif;
  font-size: 2.1vh;
}

.skill-item {
  width: 50%;
  margin-bottom: 2.5%;
}

.skill-item h5 {
  font-family: 'Open Sans', sans-serif;
  font-weight: bolder;
  font-size: 2.4vh;
}

.progressed {
  background-color: #d6e0f0;
  height: 6px;
  border-radius: 5px;
  width: 90%;
  position: relative;
}

.progress-in {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  border-radius: 5px;
  background-color: #dc2f02;
}

.percent {
  line-height: 40px;
  position: absolute;
  right: 0;
  top: -40px;
  font-weight: 400;
  color: #5c677d;
}

.languages {
  margin-top: 4%;
}

.language-item {
  margin-top: 5%;
}

/* Experience Section */
.experience {
  padding: 6% 2% 4% 2%;
}

ul.timeline-list {
  position: relative;
  margin: 0;
  padding: 0
}

ul.timeline-list:before {
  position: absolute;
  content: "";
  width: 2px;
  height: 100%;
  background-color: #ff3636;
  left: 50%;
  top: 0;
}

ul.timeline-list li {
  position: relative;
  clear: both;
  display: table;
}

.timeline_content {
  border-radius: 15px;
  background-color: #f0f0f0;
}

ul.timeline-list li .timeline_content {
  width: 45%;
  color: #333;
  padding: 3% 4% 2% 4%;
  float: left;
  text-align: right;
}

ul.timeline-list li:nth-child(2n) .timeline_content {
  float: right;
  text-align: left;
}

.timeline_content h4 {
  font-size: 3.1vh;
  font-weight: 600;
  margin: 10px 0;
  font-family: 'Poppins', sans-serif;
  color: #0f4c5c;
  font-weight: bold;
}

.timeline_content p {
  color: #495057;
  font-family: 'Poppins', sans-serif;
  font-size: 2.2vh;
}

ul.timeline-list li:before {
  position: absolute;
  content: "";
  width: 25px;
  height: 25px;
  background-color: #ff3636;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  border-radius: 50%;
}

.timeline_content span {
  font-size: 2.4vh;
  font-weight: 500;
  color: #ff3636;
}

.timeline_content i {
  margin-top: 4%;
  margin-right: 3%;
}

/* Portfolio Section */
.portfolio-desc {
  line-height: 1.6;
  letter-spacing: normal;
  color: #6c757d;
  font-size: 2.3vh;
  font-family: 'Poppins', sans-serif;
  text-align: left;
  margin: 6% 0 0 0;
}

.portfolio-item {
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  max-width: 100%;
}

.carousel-indicators{
  background-color: #0f4c5c;
  margin: auto;
  width: 18%;
  border-radius: 5px;
}

/* Technologies Section */
.technologies-content {
  display: flex;
  text-align: left;
}

.technologies-item {
  -ms-flex: 0 0 15%;
  flex: 0 0 15%;
  max-width: 15%;
  border-radius: 15px;
}

.technologies-item img {
  width: 50%;
  color: white;
}

/* Contact Section */
.contact-info {
  display: flex;
  text-align: center;
  margin-top: 5%;
  border-radius: 10px;
  background-color: #f0f0f0;
}

.contact-item {
  -ms-flex: 0 0 33%;
  flex: 0 0 33%;
  max-width: 33%;
  margin: 2% 0;
}

.contact-item h3 {
  font-family: 'Poppins', sans-serif;
  color: #0f4c5c;
  font-size: 3.4vh;
}

.contact-item p {
  color: #495057;
  font-family: 'Poppins', sans-serif;
  font-size: 2.1vh;
}

.contact-item i {
  color: #ff3636;
  margin: 6%;
}

.contact-item i:hover {
  -webkit-transform: scale(1.4);
  transform: scale(1.4);
}
